Bug 29435 - OPAC authority details page broken when AuthDisplayHierarchy is enabled
Summary: OPAC authority details page broken when AuthDisplayHierarchy is enabled
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL: opac/opac-authoritiesdetail.pl
Keywords:
Depends on: 17600
Blocks: 11873
  Show dependency treegraph
 
Reported: 2021-11-08 08:26 UTC by Andreas Roussos
Modified: 2021-11-19 15:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29435: include missing subroutine from C4::AuthoritiesMarc (1.22 KB, patch)
2021-11-08 08:35 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 29435: include missing subroutine from C4::AuthoritiesMarc (1.27 KB, patch)
2021-11-08 11:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 29435: include missing subroutine from C4::AuthoritiesMarc (1.33 KB, patch)
2021-11-10 12:51 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2021-11-08 08:26:43 UTC
When the 'AuthDisplayHierarchy' System Preference is set to 'Enable',
the OPAC authority details page is broken and the following message
appears in the logs:

Undefined subroutine GenerateHierarchy called at opac-authoritiesdetail.pl line 83
Comment 1 Andreas Roussos 2021-11-08 08:35:18 UTC
Created attachment 127426 [details] [review]
Bug 29435: include missing subroutine from C4::AuthoritiesMarc

The OPAC authority details page is broken when the 'AuthDisplayHierarchy'
System Preference is set to 'Enable',

This patch fixes that.

Test plan:
1) Set AuthDisplayHierarchy to 'Enable' and try to view the details
   page of an authority in the OPAC -- the page is broken.
2) Apply this patch.
3) Refresh the page; this time the authority details are displayed.
Comment 2 David Nind 2021-11-08 11:48:38 UTC
Created attachment 127440 [details] [review]
Bug 29435: include missing subroutine from C4::AuthoritiesMarc

The OPAC authority details page is broken when the 'AuthDisplayHierarchy'
System Preference is set to 'Enable',

This patch fixes that.

Test plan:
1) Set AuthDisplayHierarchy to 'Enable' and try to view the details
   page of an authority in the OPAC -- the page is broken.
2) Apply this patch.
3) Refresh the page; this time the authority details are displayed.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-11-10 12:51:59 UTC
Created attachment 127510 [details] [review]
Bug 29435: include missing subroutine from C4::AuthoritiesMarc

The OPAC authority details page is broken when the 'AuthDisplayHierarchy'
System Preference is set to 'Enable',

This patch fixes that.

Test plan:
1) Set AuthDisplayHierarchy to 'Enable' and try to view the details
   page of an authority in the OPAC -- the page is broken.
2) Apply this patch.
3) Refresh the page; this time the authority details are displayed.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-11-15 11:40:32 UTC
Pushed to master for 21.11, thanks to everybody involved!